<?php
class Vote_TextArea extends netsControl {
	public function Vote_TextArea(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		$tmpIntroduct='';
		if(strlen($pColumn['stcoctUiIntroduct'])>0 && $pColumn['stcoctUiIntroduct']!='&nbsp;'){
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="ControlIntroduct">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}else{
			$tmpIntroduct='<div id="'.$tmpControl.'_Messagebox" class="DHidden">'.$pColumn['stcoctUiIntroduct'].'</div>';
		}
?>
<!-- #<?php echo ($pColumn['stcotName']); ?> -->
<div class="VoteC_TextAreaBox"><textarea id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="text" class="SControl1 VoteC_TextArea"
onclick="tmpControl.onControlLight(this,'VoteC_TextArea');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'VoteC_TextArea');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
style="<?php echo ($pColumn['ControlStyle']); ?>" rows="10"><?php echo ($pColumn['Value']); ?></textarea></div>

<input id="<?php echo($tmpControl); ?>ID" name="<?php echo($tmpControl); ?>ID" value="<?php echo ($pColumn['Control_ID']); ?>" type="hidden" />
<?php
	}
}
?>